--------------------------
--------------------------
--     ANMAL BAT       --
--------------------------
--------------------------
--  
-- Model and textures from Defense Subgame
-- License of defense mod GPL
-- License of media (models, textures ) (CC BY-SA 3.0)  
-- License of Api  WTFPL Simple Mobs by PilzAdam > Mob Redo by Ten1plus > Redo+ Mahmutelmas06
-- Sounds from bigsoundbank and WTFPL ( confirmed by email )
--
--
--------- Changelog -------
-- Adapt api to MobsRedo
-- Bat sounds
-- Bat inventory icon
-- Bat spawners for mapgens based on Default, Noisegrid, Overgen, Riverdev, Watershed
-- Intlib support

 
 

----------------------------------------------------------------------------------------------
 
-- Boilerplate to support localized strings if intllib mod is installed.
local S
if minetest.get_modpath("intllib") then
	S = intllib.Getter()
else
	S = function(s) return s end
end

---------------------------------------------------------------------------------------------

mobs:register_mob("animal_bat:bat", {
	type = "monster",
	passive = false,
	damage = 1,
	attack_type = "dogfight",
	rotate = 4.5,
	hp_min = 7,
	hp_max = 12,
	armor = 130,
	collisionbox = {-0.4,-0.4,-0.4, 0.4,0.4,0.4},
	visual = "mesh",
	mesh = "animal_bat.b3d",
	fly = true,
	fly_in = "air",
	fall_speed = 0,
	stepheight = 1,
	textures = {
		{"animal_bat.png"},
		{"animal_bat.png^[colorize:#000:70"},
	},
	visual_size = {x=1, y=1},
	makes_footstep_sound = false,
	sounds = {
		war_cry = "animal_bat",
		damage = "animal_bat",
		attack = "animal_bat",
	},
	walk_velocity = 10,
	run_velocity = 23,
	water_damage = 2,
	lava_damage = 10,
	light_damage = 0,
	view_range = 10,
	animation = {
		speed_normal = 70,		speed_run = 125,
		walk_start = 30,		walk_end = 59,
		punch_start = 60,		punch_end = 89,
		run_start = 30,		run_end = 59,

	},
})

-------------------------------------------------------------------------------------------------------------------

-- Spawner

mobs:spawn_specific(
		"animal_bat:bat", 	 -- Name
		{		 -- Nodes
		"default:stone",	
		"noisegrid:stone", 
		"overgen:stone", 
		"riverdev:stone", 
		"watershed:stone" }, 
		{"air"},		-- Neighbors
		2, 		-- Min Light
		10, 		-- Max Light
		8,		-- Interval
		7000,		-- Chance
		5, 		-- Active Object Count
		-10,		-- Min Height
		11000		-- Max Height
		)
		
---------------------------------------------------------------------------------------------------------------------------------------

--Inventory Egg
mobs:register_egg(
		"animal_bat:bat", 		-- Name
		S("Bat"), 			-- Description
		"animal_bat_inv.png")	-- Inventory Image 


-----------------------------------------------------------------------------------------------------------------------------------------
-- Aliases for other Simple Mobs based apis to prevent unknownnode boxes if you already have same animal ( Some functions may not work )
minetest.register_alias("animal_bat:bat", "defense:paniki")
